Package org.drinkless.tdlib

# Class TdApi.GetPollVoters

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.PollVoters>
org.drinkless.tdlib.TdApi.GetPollVoters

Enclosing class:
  `TdApi`

public static class TdApi.GetPollVoters extends TdApi.Function<TdApi.PollVoters>
Returns message senders voted for the specified option in a poll; use poll.canGetVoters to check whether the method can be used. For optimal performance, the number of returned users is chosen by TDLib.

Returns `PollVoters`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat to which the poll belongs.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of voters to be returned; must be positive and can't be greater than 50.
  `long`
  `messageId`
  Identifier of the message containing the poll.
  `int`
  `offset`
  Number of voters to skip in the result; must be non-negative.
  `int`
  `optionId`
  0-based identifier of the answer option.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetPollVoters()`
  Default constructor for a function, which returns message senders voted for the specified option in a poll; use poll.canGetVoters to check whether the method can be used.
  `GetPollVoters(long chatId, long messageId, int optionId, int offset, int limit)`
  Creates a function, which returns message senders voted for the specified option in a poll; use poll.canGetVoters to check whether the method can be used.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat to which the poll belongs.

  - ### messageId

    public long messageId
    Identifier of the message containing the poll.

  - ### optionId

    public int optionId
    0-based identifier of the answer option.

  - ### offset

    public int offset
    Number of voters to skip in the result; must be non-negative.

  - ### limit

    public int limit
    The maximum number of voters to be returned; must be positive and can't be greater than 50. For optimal performance, the number of returned voters is chosen by TDLib and can be smaller than the specified limit, even if the end of the voter list has not been reached.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetPollVoters

    public GetPollVoters()
    Default constructor for a function, which returns message senders voted for the specified option in a poll; use poll.canGetVoters to check whether the method can be used. For optimal performance, the number of returned users is chosen by TDLib.

    Returns `PollVoters`

  - ### GetPollVoters

    public GetPollVoters(long chatId, long messageId, int optionId, int offset, int limit)
    Creates a function, which returns message senders voted for the specified option in a poll; use poll.canGetVoters to check whether the method can be used. For optimal performance, the number of returned users is chosen by TDLib.

    Returns `PollVoters`

    Parameters:
      `chatId` - Identifier of the chat to which the poll belongs.
      `messageId` - Identifier of the message containing the poll.
      `optionId` - 0-based identifier of the answer option.
      `offset` - Number of voters to skip in the result; must be non-negative.
      `limit` - The maximum number of voters to be returned; must be positive and can't be greater than 50. For optimal performance, the number of returned voters is chosen by TDLib and can be smaller than the specified limit, even if the end of the voter list has not been reached.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.PollVoters>`
    Returns:
      this.CONSTRUCTOR